<?php

declare(strict_types=1);

namespace App\Amqp\Consumer;

use Hyperf\Amqp\Result;
use Hyperf\Amqp\Annotation\Consumer;
use Hyperf\Amqp\Message\ConsumerMessage;
use Hyperf\Di\Annotation\Inject;
use PhpAmqpLib\Message\AMQPMessage;
use App\JsonRpc\ChatServiceInterface;
#[Consumer(exchange: 'hyperf', routingKey: 'hyperf', queue: 'hyperf', name: "MqConsumer", nums: 1)]
class MqConsumer extends ConsumerMessage
{
    /**
     * @var ChatServiceInterface
     */
    #[Inject]
    private  $chatServiceClient;
    public function consumeMessage($data, AMQPMessage $message): Result
    {
        //数据存储
        $result = $this->chatServiceClient->addTalkRecords($data);
        var_dump("消费成功：",$result);
        return Result::ACK;
    }

//    public function isEnable(): bool
//    {
//        return false;
//    }
}
