<?php

declare(strict_types=1);

namespace App\Job;

use Hyperf\AsyncQueue\Job;
use App\Controller\CollectorController;
/**
 * @Job(name="default")
 */
class GatherExampleJob extends Job
{
    public $params;

    /**
     * 任务执行失败后的重试次数，即最大执行次数为 $maxAttempts+1 次
     */
    protected int $maxAttempts = 2;

    public function __construct($params)
    {
        // 这里最好是普通数据，不要使用携带 IO 的对象，比如 PDO 对象
        $this->params = $params;
    }


    public function handle()
    {
        try {
            var_dump("消费者");
            $collector = new CollectorController();
            $result = $collector->goSendCrawler($this->params);
            var_dump("消费消息队列：",$this->params,$result);
        }catch (\Exception $e){
            var_dump($e->getMessage());
        }
    }
}
