<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class AdService extends AbstractServiceClient implements AdServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'AdService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';

    /**
     * @param array $data
     * @return array|mixed
     */
    public function createAd(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param int $id
     * @return array|mixed
     */
    public function getAdInfo(int $id)
    {
        return $this->__request(__FUNCTION__, compact('id'));
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function updateAd(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function delAd(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdPlaceList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function createAdPlace(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function updateAdPlace(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function delAdPlace(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
}