<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class NewsService extends AbstractServiceClient implements NewsServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'NewsService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param array $data
     * @return mixed
     */
    public function getCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function categoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getArticleList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getArticleInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getCategoryInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    /**
     * 更新资讯状态
     * @param array $data
     * @return mixed
     */
    public function upArticleStatus(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticlett(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteModelArticles(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    

}