<?php

declare(strict_types=1);

use App\Controller\AdController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/ad', function () {
        Router::post('/createAd', [AdController::class, 'createAd']);
        Router::post('/createAdPlace', [AdController::class, 'createAdPlace']);
        Router::get('/getAdInfo', [AdController::class, 'getAdInfo']);
        Router::get('/getAdList', [AdController::class, 'getAdList']);
        Router::post('/updateAd', [AdController::class, 'updateAd']);
        Router::post('/delAd', [AdController::class, 'delAd']);
        Router::get('/getAdPlaceList', [AdController::class, 'getAdPlaceList']);
        Router::post('/updateAdPlace', [AdController::class, 'updateAdPlace']);
        Router::post('/delAdPlace', [AdController::class, 'delAdPlace']);
    },
    ['middleware' => [FooMiddleware::class]]
);

