<?php

declare(strict_types=1);

use App\Controller\AuthorityController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/authority', function () {
        //获取菜单列表
        Router::get('/getMenuList', [AuthorityController::class, 'getMenuList']);
        //删除菜单
        Router::post('/delMenu', [AuthorityController::class, 'delMenu']);
        //添加菜单
        Router::post('/addMenu', [AuthorityController::class, 'addMenu']);
        //获取菜单信息
        Router::get('/getMenuInfo', [AuthorityController::class, 'getMenuInfo']);
        //更新菜单
        Router::post('/updateMenu', [AuthorityController::class, 'updateMenu']);
        //用户拥有的菜单
        Router::get('/getRecursionMenu', [AuthorityController::class, 'getRecursionMenu']);
        //获取所有菜单列表
        Router::get('/getAllMenuList', [AuthorityController::class, 'getAllMenuList']);
    },
    ['middleware' => [FooMiddleware::class]]
);
