<?php

declare(strict_types=1);

use App\Controller\CollectorController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addGroup(
    '/collector', function () {
        Router::get('/index', [CollectorController::class, 'index']);

        //添加网站
        Router::post('/addWeb', [CollectorController::class, 'addWeb']);
        //修改网站
        Router::get('/upWeb', [CollectorController::class, 'upWeb']);
        //查看并搜索网站
        Router::get('/getWeb', [CollectorController::class, 'getWeb']);
        //删除网站
        Router::get('/delWeb', [CollectorController::class, 'delWeb']);

        //查看任务
        Router::get('/getRule', [CollectorController::class, 'getRule']);
        //添加规则
        Router::get('/addRule', [CollectorController::class, 'addRule']);
        //修改规则
        Router::get('/upRule', [CollectorController::class, 'upRule']);
        //删除规则
        Router::get('/delRule', [CollectorController::class, 'delRule']);

        //采集数据
        Router::get('/addInfo', [CollectorController::class, 'addInfo']);
        //修改资讯
        Router::get('/upInfo', [CollectorController::class, 'upInfo']);
        //删除资讯
        Router::get('/delInfo', [CollectorController::class, 'delInfo']);

        //导入数据
        Router::get('/addArt', [CollectorController::class, 'addArt']);
        //关联导航
        Router::get('/addCatid', [CollectorController::class, 'addCatid']);
        //开始采集
        Router::post('/sendCrawler', [CollectorController::class, 'sendCrawler']);
        
    },
    ['middleware' => [FooMiddleware::class]]
);
