<?php

declare(strict_types=1);

use App\Controller\NewsController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/news', function () {
        //获取导航池列表
        Router::get('/getCategoryList', [NewsController::class, 'getCategoryList']);
        //导航池 筛选 搜索
        Router::get('/categoryList', [NewsController::class, 'categoryList']);
        //添加导航池
        Router::post('/addCategory', [NewsController::class, 'addCategory']);
        //更新导航池
        Router::post('/updateCategory', [NewsController::class, 'updateCategory']);
        //删除导航池
        Router::post('/delCategory', [NewsController::class, 'delCategory']);
        //获取资讯列表
        Router::get('/getArticleList', [NewsController::class, 'getArticleList']);
        //添加资讯
        Router::post('/addArticle', [NewsController::class, 'addArticle']);
        //修改资讯
        Router::post('/updateArticle', [NewsController::class, 'updateArticle']);
        //删除资讯
        Router::post('/delArticle', [NewsController::class, 'delArticle']);
        //更新资讯状态
        Router::post('/upArticleStatus', [NewsController::class, 'upArticleStatus']);
        //查看资讯
        Router::get('/getArticleInfo', [NewsController::class, 'getArticleInfo']);
        //获取导航池信息
        Router::get('/getCategoryInfo', [NewsController::class, 'getCategoryInfo']);

},
    ['middleware' => [FooMiddleware::class]]
);
