<?php

declare (strict_types = 1);
use App\Controller\OrderController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addGroup(
    '/order', function () {
        //测试
        Router::get('/index', [OrderController::class, 'index']);

        //订单状态对应
        Router::post('/getStauts', [OrderController::class, 'getStauts']);
        //查询广告
        Router::post('/getAD', [OrderController::class, 'getAD']);
        //根据网站搜索广告
        Router::post('/getWebsiteAd', [OrderController::class, 'getWebsiteAd']);
        //添加订单

        Router::post('/addAD', [OrderController::class, 'addAD']);
        //获取订单列表
        Router::post('/getOrderList', [OrderController::class, 'getOrderList']);
        //获取订单详情
        Router::post('/getOrderDetail', [OrderController::class, 'getOrderDetail']);
        //撤回订单
        Router::post('/cancelOrder', [OrderController::class, 'cancelOrder']);
        //删除广告
        Router::post('/delOrderAD', [OrderController::class, 'delOrderAD']);

        //后台管理
        //获取订单列表
        Router::post('/getOrderListAdmin', [OrderController::class, 'getOrderListAdmin']);
        //获取订单详情
        Router::post('/getOrderDetailAdmin', [OrderController::class, 'getOrderDetailAdmin']);
        //审核订单
        Router::post('/applyOrderStatusAdmin', [OrderController::class, 'applyOrderStatusAdmin']);
        //修改订单价格
        Router::post('/editPriceOrderAdmin', [OrderController::class, 'editPriceOrderAdmin']);
        //驳回订单
        Router::post('/rejectOrderAdmin', [OrderController::class, 'rejectOrderAdmin']);
        //结束订单
        Router::post('/endOrderAdmin', [OrderController::class, 'endOrderAdmin']);
        //删除订单
        Router::post('/delOrderAdmin', [OrderController::class, 'delOrderAdmin']);

        //获取广告列表
        Router::post('/getADList', [OrderController::class, 'getADList']);
        //获取广告详情
        Router::post('/getADDetail', [OrderController::class, 'getADDetail']);
        //添加广告
        Router::post('/addADAdmin', [OrderController::class, 'addAD']);
        //修改广告
        Router::post('/editAD', [OrderController::class, 'editAD']);
        //删除广告
        Router::post('/delAD', [OrderController::class, 'delAD']);

    },
    ['middleware' => [FooMiddleware::class]]
);
