<?php

declare (strict_types = 1);
use App\Controller\PublicController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addRoute(['GET', 'POST'], '/verifyCode', 'App\Controller\IndexController@verifyCode');

Router::addGroup(
    '/public', function () {
        Router::get('/getDistrictList', [PublicController::class, 'getDistrictList']);
        Router::get('/getUserLevelList', [PublicController::class, 'getUserLevelList']);
        Router::post('/uploadFile', [PublicController::class, 'uploadFile']);
        Router::post('/addUserLevel', [PublicController::class, 'addUserLevel']);
        Router::post('/delUserLevel', [PublicController::class, 'delUserLevel']);
        Router::post('/updateUserLevel', [PublicController::class, 'updateUserLevel']);
        Router::get('/getCityList', [PublicController::class, 'getCityList']);
        //添加投诉举报
        Router::post('/addComplaint', [PublicController::class, 'addComplaint']);


        //修改投诉举报
        Router::addRoute(['GET', 'POST'],'/upComplaint', [PublicController::class, 'upComplaint']);
        //投诉举报列表
        Router::addRoute(['GET', 'POST'],'/getComplaint', [PublicController::class, 'getComplaint']);
        //查看投诉举报信息
        Router::addRoute(['GET', 'POST'],'/getLetterOfComplaintInfo', [PublicController::class, 'getLetterOfComplaintInfo']);
        //删除投诉举报信息

        Router::post('/delLetterOfComplaint', [PublicController::class, 'delLetterOfComplaint']);
        //获取类型
        Router::get('/getLetterType', [PublicController::class, 'getLetterType']);
        //获取子类型
        Router::get('/getLetterTypeChildren', [PublicController::class, 'getLetterTypeChildren']);
        //下载文件
        Router::addRoute(['GET', 'POST'],'/downloadFile', [PublicController::class, 'downloadFile']);
        //检测是否已经被审核
        Router::addRoute(['GET', 'POST'],'/checkMeasure', [PublicController::class, 'checkMeasure']);
        //获取职能部门
        Router::get('/getDepartment', [PublicController::class, 'getDepartment']);

        Router::post('/getZhinengbumenList', [PublicController::class, 'getZhinengbumenList']);
        Router::post('/addZhinengbumen', [PublicController::class, 'addZhinengbumen']);
        Router::post('/delZhinengbumen', [PublicController::class, 'delZhinengbumen']);
        Router::post('/getZhinengbumen', [PublicController::class, 'getZhinengbumen']);
        Router::post('/modZhinengbumen', [PublicController::class, 'modZhinengbumen']);
        Router::post('/getPidZhinengbumen', [PublicController::class, 'getPidZhinengbumen']);

    },
    ['middleware' => [FooMiddleware::class]]
);
