<?php

declare(strict_types=1);

use App\Controller\WebsiteController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/website', function () {
        //添加网站
        Router::post('/addWebsite', [WebsiteController::class, 'addWebsite']);
        //获取网站列表
        Router::get('/getWebsiteList', [WebsiteController::class, 'getWebsiteList']);
        //更新网站
        Router::post('/updateWebsite', [WebsiteController::class, 'updateWebsite']);
        //删除网站
        Router::post('/delWebsite', [WebsiteController::class, 'delWebsite']);
        //获取网站信息
        Router::get('/getWebsiteInfo', [WebsiteController::class, 'getWebsiteInfo']);
        //获取网站 网系
        Router::get('/getWebsiteColumn', [WebsiteController::class, 'getWebsiteColumn']);
        //获取网站 网系
        Router::get('/getWebsiteColumnList', [WebsiteController::class, 'getWebsiteColumnList']);
        //创建网站网系
        Router::post('/addWebsiteColumn', [WebsiteController::class, 'addWebsiteColumn']);
        //更新网站网系
        Router::post('/updateWebsiteColumn', [WebsiteController::class, 'updateWebsiteColumn']);
        //删除网站网系
        Router::post('/delWebsiteColumn', [WebsiteController::class, 'delWebsiteColumn']);

        Router::get('/getWebsiteRoleList', [WebsiteController::class, 'getWebsiteRoleList']);
        Router::post('/createWebsiteRole', [WebsiteController::class, 'createWebsiteRole']);
        Router::post('/delWebsiteRole', [WebsiteController::class, 'delWebsiteRole']);
        Router::get('/getWebsiteRoleUserList', [WebsiteController::class, 'getWebsiteRoleUserList']);
        Router::post('/createWebsiteRoleUser', [WebsiteController::class, 'createWebsiteRoleUser']);
        Router::post('/delWebsiteRoleUser', [WebsiteController::class, 'delWebsiteRoleUser']);
        //获取模板分类
        Router::get('/getTemplateClass', [WebsiteController::class, 'getTemplateClass']);
        //添加模板分类
        Router::post('/addTemplateClass', [WebsiteController::class, 'addTemplateClass']);
        //更新模板分类
        Router::post('/upTemplateClass', [WebsiteController::class, 'upTemplateClass']);
        //删除模板分类
        Router::post('/delTemplateClass', [WebsiteController::class, 'delTemplateClass']);
        //获取分类下模板列表
        Router::get('/getTemplate', [WebsiteController::class, 'getTemplate']);
        //获取分类下模板列表
        Router::post('/addTemplate', [WebsiteController::class, 'addTemplate']);
        //更新分类下模板列表
        Router::post('/upTemplate', [WebsiteController::class, 'upTemplate']);
        //删除分类下模板列表
        Router::post('/delTemplate', [WebsiteController::class, 'delTemplate']);
        //添加网站导航
        Router::post('/addWebsiteCategory', [WebsiteController::class, 'addWebsiteCategory']);
        //删除网站导航
        Router::post('/delWebsiteCategory', [WebsiteController::class, 'delWebsiteCategory']);
        //获取网站导航
        Router::get('/getAdminWebsiteCategory', [WebsiteController::class, 'getAdminWebsiteCategory']);
        //更新网站导航
        Router::post('/upWebsiteCategory', [WebsiteController::class, 'upWebsiteCategory']);
        //网站导航
        Router::get('/getWebsiteCategoryList', [WebsiteController::class, 'getWebsiteCategoryList']);
        //删除网站所有的导航
        Router::post('/delWebsiteAllCategory', [WebsiteController::class, 'delWebsiteAllCategory']);
        //查看指定的导航
        Router::get('/getWebsiteCategoryOnes', [WebsiteController::class, 'getWebsiteCategoryOnes']);
        //更新指定的某一个导航
        Router::post('/upWebsiteCategoryones', [WebsiteController::class, 'upWebsiteCategoryones']);
        //网站下的所有导航包含子导航
        Router::get('/getWebsiteAllCategory', [WebsiteController::class, 'getWebsiteAllCategory']);
        //管理后台数据统计
        Router::get('/getAdminIndex', [WebsiteController::class, 'getAdminIndex']);



        //搜索网站列表
        Router::get('/websiteList', [WebsiteController::class, 'websiteList']);
        //检测网站名称是否存在
        Router::post('/checkWebsiteName', [WebsiteController::class, 'checkWebsiteName']);
        //检测域名是否被重复解析
        Router::post('/checkWebsiteUrl', [WebsiteController::class, 'checkWebsiteUrl']);


    },
    ['middleware' => [FooMiddleware::class]]
);
