<?php

declare (strict_types = 1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
use Hyperf\HttpServer\Router\Router;

Router::addRoute(['GET', 'POST', 'HEAD'], '/index', 'App\Controller\IndexController@index');
Router::addRoute(['GET', 'POST', 'HEAD'], '/download', 'App\Controller\IndexController@download');
Router::get('/api/getData', 'App\Controller\LoginController@getData');

Router::get('/favicon.ico', function () {
    return '';
});

Router::addServer('ws', function () {
    Router::get('/', 'App\Controller\WebSocketController');
});

require __DIR__ . '/api/user.php';
require __DIR__ . '/api/public.php';
require __DIR__ . '/api/ad.php';
require __DIR__ . '/api/complaint.php';
require __DIR__ . '/api/authority.php';
require __DIR__ . '/api/chat.php';
require __DIR__ . '/api/link.php';
require __DIR__ . '/api/login.php';
require __DIR__ . '/api/news.php';
require __DIR__ . '/api/website.php';
require __DIR__ . '/api/web.php';
require __DIR__ . '/api/order.php';
require __DIR__ . '/api/collector.php';

